%define rel     1

Name:           icecream-monitor
Version:        3.0.1
Release:        %mkrel %rel
Summary:        GUI monitor for icecream distributed compiled system
License:        GPLv2+
Group:          Development/Tools
Url:            https://github.com/icecc/icemon
Source0:        https://github.com/icecc/icemon/archive/v%{version}/icemon-%{version}.tar.gz
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(icecc)
BuildRequires:  cmake
BuildRequires:  docbook2x
BuildRequires:  doxygen
Provides:       icemon = %{version}-%{release}
Obsoletes:      icemon < 1.0-2

%description
GUI Monitor for icecream distributed compiled system.

%files
%doc CHANGELOG.md README.md
%{_bindir}/icemon
%{_iconsdir}/*/*/*/icemon.*
%{_datadir}/applications/icemon.desktop
%{_mandir}/man1/icemon.1.*

#-----------------------------------------------------------------

%prep
%setup -q -n icemon-%{version}

%build
%cmake_qt5

%make_build

%install
%make_install -C build


%changelog
* Sun Jan 22 2017 daviddavid <daviddavid> 3.0.1-1.mga6
+ Revision: 1083072
- new version: 3.0.1
- port to Qt5 (no longer depends on KDE4 libraries)

* Mon Feb 15 2016 umeabot <umeabot> 2.0-1.git20130719.5.mga6
+ Revision: 960664
- Mageia 6 Mass Rebuild

* Sun Aug 30 2015 cjw <cjw> 2.0-1.git20130719.4.mga6
+ Revision: 871193
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 2.0-1.git20130719.3.mga5
+ Revision: 748481
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-1.git20130719.2.mga5
+ Revision: 680443
- Mageia 5 Mass Rebuild

* Sun Dec 29 2013 pterjan <pterjan> 2.0-1.git20130719.1.mga4
+ Revision: 563206
- Switch to git snapshot

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.0-0.svn1303855.2.mga3
+ Revision: 354164
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 anssi <anssi> 2.0-0.svn1303855.1.mga3
+ Revision: 300255
- new snapshot
- drop obsolete patch
- update filelist, license, summary, description, group
- drop obsolete provides and buildrequires
- imported package icecream-monitor

